Page MenuHomeFreeBSD

Add genet.4 for RPi 4 Ethernet
ClosedPublic

Authored by karels on Dec 9 2021, 2:16 PM.
Tags
None
Referenced Files
Unknown Object (File)
May 17 2024, 1:12 AM
Unknown Object (File)
May 9 2024, 3:13 AM
Unknown Object (File)
Apr 30 2024, 8:29 AM
Unknown Object (File)
Apr 28 2024, 11:44 AM
Unknown Object (File)
Apr 28 2024, 4:09 AM
Unknown Object (File)
Apr 28 2024, 1:23 AM
Unknown Object (File)
Apr 23 2024, 9:56 AM
Unknown Object (File)
Apr 8 2024, 5:47 PM

Details

Summary

Add new man page for genet(4) Ethernet on Raspberry Pi 4B, based on
several other Ethernet man pages. Hook into build.

Note, this could potentially be added as an aarch64 man page; not
sure if that matters now. Include if_genet(4) link as for other
network devices.

Copyright notice yet to be determined.

Test Plan

Tested with mandoc in UTF-8 and Postscript.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

karels requested review of this revision.Dec 9 2021, 2:16 PM
pauamma_gundo.com added inline comments.
share/man/man4/genet.4
20

Maybe add instructions for having loader(8) load it at boot time?

These are common for other Ethernet interfaces, eg for re(4);

Alternatively, to load the driver as a module at boot time, place the
following line in loader.conf(5):

      if_re_load="YES"
share/man/man4/genet.4
20

That is not implemented in the driver.

Grammar and language look good to me.

Same here, can't find any grammar or other nits.

should work on all BCM2711xxx SOC-revisions, not only on the mentioned P4b(BCM2711B08)
while not specifically inspected I didn't notice any problem with the CM4(BCM2711C0)

Good point. I had more hardware information in the Description section originally, but moved it to Hardware. I'll try to come up with something more generic. I still want to mention the RPi 4, as that is the most common.

...mention the RPi 4, as that is the most common.

of course... e.g. removing the "B" should match, thanks.

Added copyright; touched up hardware info

Added copyright; touched up hardware info

┈┈┈┈┈┈▕▔╲
┈┈┈┈┈┈┈▏▕
┈┈┈┈┈┈┈▏▕▂▂▂
▂▂▂▂▂▂╱┈▕▂▂▂▏
▉▉▉▉▉┈┈┈▕▂▂▂▏
▉▉▉▉▉┈┈┈▕▂▂▂▏
▔▔▔▔▔▔╲▂▕▂▂▂I

This revision is now accepted and ready to land.Dec 13 2021, 8:06 PM

ObAccessibility; in case anyone visits this (now or later) using a screenreader and is wondering, the ASCII art in maciphone2_googlemail.com's comment earlier is a thumb-up sign.

ObAccessibility; in case anyone visits this (now or later) using a screenreader and is wondering, the ASCII art in maciphone2_googlemail.com's comment earlier is a thumb-up sign.

👍

the ASCII art in comment earlier is a thumb-up sign.

Technically, it was not ASCII art, it was UTF-8 art (and not very good one).

Technically, it was not ASCII art, it was UTF-8 art (and not very good one).

since not accepted as it landed I abandone that revision

This revision was automatically updated to reflect the committed changes.

the ASCII art in comment earlier is a thumb-up sign.

Technically, it was not ASCII art, it was UTF-8 art (and not very good one).

Psst. This is (well, was) a documentation review. Art reviews are ----> over that way.

...Art reviews are ----> over that way.

good point . for amazed screenreaders : the ASCII art in @pauamma_gundo.com`s comment
is an invalid access operator sign.